2010-03-07 Christoph Thielecke <crissi99@gmx.de>
	check if profile already exists at kvpnc profile import added
	toggle all/none profiles at kvpnc profile import added
	user defined import prefix at kvpnc profile import added

2010-03-07 Christoph Thielecke <crissi99@gmx.de>
	remote id toggle  at newprofilewizard at *swan use fixed
	remote id options at newprofilewizard at *swan use fixed
	local id options at newprofilewizard at *swan use fixed
	split specific options at preferencesdialog in multiple tabs (*swan, racoon, pptp, openvpn) for reducing preferencesdialog size

2010-03-05 Christoph Thielecke <crissi99@gmx.de>
	vpnc config options if ca cert or ca dir empty for use hybrid mode fixed (thanks to Todd Kennedy)
	enable psk options at hybrid mode fixed (vpnc)

2010-03-03 Christoph Thielecke <crissi99@gmx.de>
	resolvconf fixes (vpnc)
	memleak fixed (vpnc)
	various resolvconf fixes

2010-03-02 Christoph Thielecke <crissi99@gmx.de>
	use nat fixed (vpnc)
	vpnc config option for use hybrid mode fixed
	hide useless cisco cert comboboxes if not needed
	use nat at pcf import fixed
	use cisco icon instead pcf icon in for pcf menu entry
	cancel at pcf import if profile name already exists fixed
	parameter at log message fixed (openvpn)
	bool options fixed at kvpnc profile import
	HTTP Proxy Authtype at kvpnc profile export fixed
	auth type  at kvpnc profile export fixed
	hide ipsec virtual ip options at newprofilewizard (openvpn)
	crash at connecting fixed (openvpn)
	keeping existing nameserver fixed (openvpn)

2010-03-01 Christoph Thielecke <crissi99@gmx.de>
	authtype display at profile change fixed
	displaying auth type at change in preferencesdialog
	display add/remove additional network routes fixed
	use default interface at add/remove additional network routes if no device is given
	hybrid mode at preferencesdialog fixed (vpnc)
	if profile name with spaces is entered at newprofilewizard dont continue fixed
	use nat preselection at newprofilewizard fixed
	udp port toggle at newprofilewizard fixed
	crash at connecting state fixed (openvpn)
	save username if username/password from authdialog is requested save is checked (openvpn)
	dont display authdialog if userdata already collected (openvpn)
	memleak fix (openvpn)
	crash at newprofilewizard at ssh type on tunnel type change fixed

2010-02-28 Christoph Thielecke <crissi99@gmx.de>
	hybrid detection display in toolsinfo dialog fixed
	netstat toolinfo display added
	certificate prefix can now specified at openvpn type
	enable auth type label if hybrid support is detected

2010-02-27 Christoph Thielecke <crissi99@gmx.de>
	AVM Fritzbox VPN import document added (doc/README.FRITZBOX_VPN_IMPORT)

2010-02-26 Christoph Thielecke <crissi99@gmx.de>
	use file select dialog instead of textinput dialog for getting filename at openvpn config file export
	help for esp parameter at *swan options fixed
	local id at psk on *swan fixed
	error handling at *swan improved
	using /etc/init.d/ipsec stop for stopping openswan because ipsec setup stop doesnt cleanup all
	local/remote id types fixed (racoon)
	id type tooltips at remote/local id comboboxes added
	chmod fixed
	disable private key pass at racoon p12 import

2010-02-24 Christoph Thielecke <crissi99@gmx.de>
	rsa key auth at ipsec config file import fixed
	save only new profiles at ipsec config file import
	rsa key auth for psk fixed (*swan)
	psk at ipsec config file import fixed
	ipsec error handling improved
	connect success status message at *swan fixed

2010-02-23 Christoph Thielecke <crissi99@gmx.de>
	support for inline certificates (user certificate, ca certificate, private key, tls-key) at openvpn config file import added (see doc/README.OPENVPN_INLINE_CERT)
	cert path within inline cert at openvpn config file import fixed
	importing username by special line at openvpn config file import added (# OVPN_ACCESS_SERVER_USERNAME=)
	hide ipsec related settings at virtualip options page if not nessary
	possible crash at displaying dock tooltip at disconnected state fixed
	displaying *swan import entry in profile menu fixed
	ipsec config file import fixes

2010-02-22 Christoph Thielecke <crissi99@gmx.de>
	cpu usage reduced
	dock tooltip better formatted
	eventsrc updated

2010-02-20 Christoph Thielecke <crissi99@gmx.de>
	crash at disconnect in connecting state fixed (racoon)
	cancel at fritzbox vpn user config file fixed
	remove virtual ip at connecting state fixed (racoon)
	adding virtual ip at connecting state fixed (racoon)
	stop connecting if hostname could not resolved at racoon profile
	displaying virtual ip address in tooltip added (*swan, racoon)

2010-02-18 Christoph Thielecke <crissi99@gmx.de>
	http proxy widget at preferencesdialog fixed

2010-02-16 Christoph Thielecke <crissi99@gmx.de>
	crash at connnecting fixed (*swan)
	dhgroup for esp added (*swan)
	virtual ip fixes (*swan)
	phase 2 quickmode detecion fixed (*swan)
	make gui not freezing if module loading/unloading
	(rare) race condition on ipsec start fixed
	psk mode at l2tp fixed (*swan)
	filter for fritzbox user config changed to "vpnuser_*.cfg"
	debug level for racoon fixed

2010-02-15 Christoph Thielecke <crissi99@gmx.de>
	dont use "VPN connexion established" as successful connect at racoon
	auth type on authtype change at preferencesdialog fixed
	remoteid type fixed if empty
	temporary static klips debug removed
	toggle of remoteid type fixed if none
	useless netmask removed at setkey rules
	temporary static rightid removed at *swan
	rightsourceip at *swan fixed

2010-02-14 Christoph Thielecke <crissi99@gmx.de>
	useless http proxy options on racoon usage disabled
	user options on racoon usage disabled if not xauth or l2tp
	dottedIpv4Netmask2NetmaskBytes function at utils added
	fritzbox vpn user config file import added
	crash at connect (rare cases) fixed

2010-02-13 Christoph Thielecke <crissi99@gmx.de>
	psk auth type fixed on loading profiles
	set text instead item number for auth type at preferencesdialog
	save single profile at additionally to config sync
	racoon debug level at preferencesdialog fixed
	racoon virtual ip support added (use LeftSourceIP)
	dh group at racoon fixed
	export date at kvpnc profile export fixed
	debug options for pluto and klips added (*swan)
	remote id moved tfrom psk options to ipsec/racoon options

2010-02-11 Christoph Thielecke <crissi99@gmx.de>
	checking gre support at pptp added
	load ip_gre module if nessary at pptp

2010-02-02 Christoph Thielecke <crissi99@gmx.de>
	nat option fixes
	xauth at ipsec fixed if strongSwan is used and psk is in file
	psk on ipsec fixed if openswan is used
	ipsec flavour parsing fixed
	changing auth type fixed
	code cleanup

2010-01-23 Christoph Thielecke <crissi99@gmx.de>
	display profile info in profile selector tooltip added
	not useable mppe and ppp options now disabled at l2tpd profile
	l2tp auth at profile selector tooltip for l2tp profiles added
	selector tooltip fixes

2010-01-16 Christoph Thielecke <crissi99@gmx.de>
	mru checkbox in profile settings fixed
	pptp auth options fixed

2010-01-14 Christoph Thielecke <crissi99@gmx.de>
	save only current profile instead of all if passwords got from dialog during connecting
	handle reject auth at ssh fixed
	messagebox for user added if connection was refused at pptp connect try

2010-01-09 Christoph Thielecke <crissi99@gmx.de>
	check existing profile name at new profile creation fixed
	crash after delete profile fixed
	crash after delete last profile from preferencesdialog fixed
	creating new profile saved with old data when called from preferencesdialog fixed
	hang at vpnc connect fixed
	lineend at some vpnc debug messages fixed

2010-01-07 Christoph Thielecke <crissi99@gmx.de>
	pptp crash fixes

2010-01-07 Christoph Thielecke <crissi99@gmx.de>
	use TDEProcess instead QProcess in some cases at utils
	openvpn config option fixes
	tun device check more reliable made
	openvpn version checking for script security parameter fixed
	saving changed profile settings after autofix fixed
	crash on connect via openvpn fixed
	reconnect on connection lost at pptp fixed

2009-12-07 Christoph Thielecke <crissi99@gmx.de>
	allow hostname instead of ip address in ping check too

2009-12-01 Christoph Thielecke <crissi99@gmx.de>
	private key password use toggle fixed at importcertifcate dialog
	ciscouserca type at importcertifcate dialog added (user + ca certificate)

2009-11-22 Christoph Thielecke <crissi99@gmx.de>
	certificate will now imported into cisco cert store if set in config file
	use cisco cert store option at certificate settings at orig cisco usage added
	importing a pcf file containing certificate will now import it (file/cert store is selected by CertStore option in pcf file)
	certificate select dialog now show also certs with der extension
	hybrid support detection at vpnc added (openssl support compiled in)
	hybrid mode (ca cert and name/password) added (vpnc, vpnclient)
	ca certificate import at importcertifcate dialog added
	use nat option added (split use udp into use udp and use nat for more flexibility)
	process only events if needed at getting certs from Cisco cert store

2009-11-21 Christoph Thielecke <crissi99@gmx.de>
	local id at profile creation (racoon) in newprofilewizard fixed
	certificate import button on certificate profile page fixed

2009-10-24 Christoph Thielecke <crissi99@gmx.de>
	crash at disconnect on connecting state fixed (openvpn)

2009-09-20 Christoph Thielecke <crissi99@gmx.de>
	crash at disconnect on connecting state fixed (pptp)

2009-09-16 Christoph Thielecke <crissi99@gmx.de>
	debug output for replacing defaultroute added (vpnc)

2009-09-05 Christoph Thielecke <crissi99@gmx.de>
	 resolv.conf restore after disconnect if no resolvconf installed fixed

2009-08-29 Christoph Thielecke <crissi99@gmx.de>
	check cisco_cert_mgt tool before running the wizard

2009-08-24 Christoph Thielecke <crissi99@gmx.de>
	allow empty certificate password on vpnclient

2009-08-21 Christoph Thielecke <crissi99@gmx.de>
	--non-inter option removed because no longer nessary
	useless extra route disabled

2009-08-20 Christoph Thielecke <crissi99@gmx.de>
	creating additional route with /32 mask fixed

2009-08-18 Christoph Thielecke <crissi99@gmx.de>
	resolvconf fixes

2009-08-07 Christoph Thielecke <crissi99@gmx.de>
	crash on wrong import password on p12 certificate fixed
	certificate import p12 fixed

2009-07-31 Christoph Thielecke <crissi99@gmx.de>
	crash on exec cmd after disconnect fixed

2009-07-17 Christoph Thielecke <crissi99@gmx.de>
	ask user password on each connect option added
	path to tail after change in profilemanger fixed
	typo fixedcrash on wrong import password on p12 certificate fixed
	certificate import p12 fixed

2009-07-17 Christoph Thielecke <crissi99@gmx.de>
	save modified path of tail, ciscocertmgr fixed

2009-07-05 Christoph Thielecke <crissi99@gmx.de>
	better info on getting cisco certs from cisco store
	displaying cisco cert data fixed

2009-06-26 Christoph Thielecke <crissi99@gmx.de>
	obsolete option get DNS from peer removed (use Update DNS option)
	change pptp defaults (mtu 1500, auth mschapv2, deflate/bsdcomp off)
	deflate/bsdcomp values if enabled changed
	fixing path MTU discovery problem is now enabled by default

2009-06-23 Christoph Thielecke <crissi99@gmx.de>
	debug info on quick connect added

2009-06-19 Christoph Thielecke <crissi99@gmx.de>
	$HOME/bin now in search path of default paths
	default paths search order changed
	useless comment on tail info removed
	wrong profile name on pcf import fixed if name still exists
	DNS_UPDATE option renamed to Update DNS configuration, if not checked, /etc/resolv.conf will not changed
	fixes regarding dns update

2009-06-18 Christoph Thielecke <crissi99@gmx.de>
	ping_check.sh now useable with ash
	ping_check.sh device parameter added
	connection status check now uses tunnel device
	translation update
	empty patch checking on load/save added

2009-05-30 Christoph Thielecke <crissi99@gmx.de>
	saving cisco nat mode fixed

2009-04-08 Christoph Thielecke <crissi99@gmx.de>
	ipsec setup fix

2009-03-31 Christoph Thielecke <crissi99@gmx.de>
	detecting pkcs11 ids for openvpn via openvpn added

2009-03-29 Christoph Thielecke <crissi99@gmx.de>
	rename to empty name fixed
	option for selecting open profilemanger after import added
	slot disconnect fixed

2009-03-23 Christoph Thielecke <crissi99@gmx.de>
	memory leak fixes
	vpn type in import/export fixed
	vtun path on preferences dialog fixed
	ssh path on preferences dialog fixed
	pkcs11 parameters changed for openvpn >= 2.1rc-9
	openvpn version detection improved
	pkcs11 token support for other than etoken added

2009-03-22 Christoph Thielecke <crissi99@gmx.de>
	dns domain added for pptp

2008-12-28 Christoph Thielecke <crissi99@gmx.de>
	script-security option fixed (openvpn) thanks to Thomas Bartschies
	mtu/mru options at preferences dialog fixed (openvpn) thanks to Thomas Bartschies
	dns update fixed (openvpn) thanks to Thomas Bartschies

2008-12-25 Christoph Thielecke <crissi99@gmx.de>
	TlsRemoteHostCheckBox fixed
	kde3 type in version added

2008-12-23 Christoph Thielecke <crissi99@gmx.de>
	renegsec option fixed (openvpn)

2008-12-18 Christoph Thielecke <crissi99@gmx.de>
	disconnect on kde shutdown fixed

2008-12-10 Christoph Thielecke <crissi99@gmx.de>
	state icon on vpntypesinfo dialog fixed
	typo fixes
	better formatted remote/port option in generated openvpn config

2008-12-09 Christoph Thielecke <crissi99@gmx.de>
	crash on disconnect fixed (openvpn)

2008-12-08 Christoph Thielecke <crissi99@gmx.de>
	setProfile fixed

2008-12-05 Christoph Thielecke <crissi99@gmx.de>
	quick connect fixed
	donate url changed
	crash on close fixed

2008-11-25 Christoph Thielecke <crissi99@gmx.de>
	dpd idle timeout fixed (vpnc)

2008-11-23 Christoph Thielecke <crissi99@gmx.de>
	cmd outputs added: before connect, after connect, before disconnect, after disconnect

2008-11-22 Christoph Thielecke <crissi99@gmx.de>
	quick connect fixed
	dns server and dns domain on newprofilewizard fixed (pptp)
	more debug output on newprofilewizard (pptp settings)
	more status info at preferencesdialog

2008-11-04 Christoph Thielecke <crissi99@gmx.de>
	hotfix for restoring resolv.conf (pptp)

2008-11-02 Christoph Thielecke <crissi99@gmx.de>
	kvpnc now ask only for user data if now already collected

2008-11-01 Christoph Thielecke <crissi99@gmx.de>
	more debug info on close added
	query exit now asks
	disconnect on kde shutdown fixed

2008-10-29 Christoph Thielecke <crissi99@gmx.de>
	resolvconf call in upscript fixed (openvpn)
	auth type fixed on kvpnc profile file import (openvpn)
	option for costum ssh remote network script added

2008-10-25 Christoph Thielecke <crissi99@gmx.de>
	default route replace fixed (pptp)

2008-10-24 Christoph Thielecke <crissi99@gmx.de>
	required tools check improved (ssh)
	network mask on tap mode added (ssh)
	selector update fixed (vtun, ssh)
	other type specific pages now disabled (ssh)
	tunnel interface ip on tap mode in tooltip fixed (ssh)
	crash on gnome-ssh-askpass use fixed
	ssh options now really shown if type changed
	checking default route count added (pptp)

2008-10-23 Christoph Thielecke <crissi99@gmx.de>
	tunnel device type added in profilewizward (ssh)
	tls-auth direction detection in openvpn import added

2008-10-22 Christoph Thielecke <crissi99@gmx.de>
	ssh tool info added
	ksshaskpass info added
	ssh-askpass-gnome info added
	version info on for vtund fixed
	ssh connection type added
	some options work only in udp mode fixed (openvpn)
	tap mode added (ssh)
	credits for ansgar added

2008-10-16 Christoph Thielecke <crissi99@gmx.de>
	eap option added pptp
	username, password fixed on pptp

2008-10-15 Christoph Thielecke <crissi99@gmx.de>
	pptp on preferencesdialog fixed

2008-10-13 Christoph Thielecke <crissi99@gmx.de>
	30Eur donation credits added, thanks to Christoph Schmid

2008-10-07 Christoph Thielecke <crissi99@gmx.de>
	authentication type sync fixed
	racoon id fixes
	hash algo fixed (racoon)
	ipsec page is now disabled on racoon
	connect success status msg fixed
	getHostname function added in utils
	virtual interface on mode config fixed (racoon)
	mode config password is now send via stdin instead of psk file
	racoon will now stopped correctly if in connection state
	hash algorithm description changed to authentication algorithm phase 1

2008-10-04 Christoph Thielecke <crissi99@gmx.de>
	mode config added (racoon)
	xauth fixes (racoon)

2008-09-20 Christoph Thielecke <crissi99@gmx.de>
	peers identifier type fixed on racoon

2008-09-11 Christoph Thielecke <crissi99@gmx.de>
	certificate url requester now hidden on hybrid

2008-09-10 Christoph Thielecke <crissi99@gmx.de>
	hybrid on racoon fixed
	hybrid auth type on newprofilewizard added

2008-09-09 Christoph Thielecke <crissi99@gmx.de>
	crash at manageciscocert dialog fixed
	xauth support addded (racoon)
	virtual ip fixes ipsec
	racoon now uses racoonctl
	displaying cisco cert fixed
	hybrid mode (ca cert and name/password) added (racoon)

2008-09-04 Christoph Thielecke <crissi99@gmx.de>
	cisco config file import now uses filename instead of groupname
	disable bind option added (openvpn)

2008-09-03 Christoph Thielecke <crissi99@gmx.de>
	help link on openswan/strongswan options added
	username/password auth dialog on ipsec fixed

2008-09-02 Christoph Thielecke <crissi99@gmx.de>
	more options on openvpn config file import added: fragement, mssfix, nobind, tun-mtu, reneg-sec, ping, ping-restart
	ipsec start fixed

2008-08-31 Christoph Thielecke <crissi99@gmx.de>
	rename menu entry added

2008-08-30 Christoph Thielecke <crissi99@gmx.de>
	credits fixed
	resolvconf on openvpn fixed

2008-08-28 Christoph Thielecke <crissi99@gmx.de>
	typo fixed on export xml
	better xml import
	user feedback on xml import
	vpn types info dialog added (shows if all is availiable for an specific vpn)
	local id, remote id fixed on psk (*swan)
	xauth password dialog fixed
	exchange mode fixed
	exchange mode no set always to main if strongswan is used
	openswan handling more reliable made
	support for openvpn >= 2.1-rc script parameter added
	openl2tp will now automaticlly started/stopped

2008-08-27 Christoph Thielecke <crissi99@gmx.de>
	conntect try now really stops if max connect retries reached (*swan)

2008-08-26 Christoph Thielecke <crissi99@gmx.de>
	ipsec whack --status output fixed
	openl2tp support added
	tls-auth fixed on openvpn
	leftsourceip/rightsourceip now in right fields on profile manager
	support for virtual subnets (virtual_private) added (openswan/strongswan)

2008-08-25 Christoph Thielecke <crissi99@gmx.de>
	psk in preferencesdialog fixed (*swan)
	cpu usage reduced on debug console
	group password is now hidden on high kvpnc debug level (vpnc)
	racoon l2tpd fixed
	addind additional network routes fixed (if no device given)

2008-08-20 Christoph Thielecke <crissi99@gmx.de>
	better status detection of l2tp connect
	authentication problems with l2tp fixed
	l2tpd debug modes added (avp, packet, network, state)

2008-08-16 Christoph Thielecke <crissi99@gmx.de>
	better info on killing pptp

2008-08-15 Christoph Thielecke <crissi99@gmx.de>
	hideOnCloseInfo fixed

2008-08-14 Christoph Thielecke <crissi99@gmx.de>
	tooltip at toolsinfo dialog added

2008-08-13 Christoph Thielecke <crissi99@gmx.de>
	if peer sends an other id as we expect, user can confirm it and reconnect with a click
	xauth for racoon added
	ipsec config import now understands more options: leftxauthclient, rightxauthserver, keyingtries, pfs, pfsgroup, aggrmode
	virtual ip support added (openswan/strongswan)
	pppd info in toolsinfo dialog added
	pppd mppe check fixed

2008-08-12 Christoph Thielecke <crissi99@gmx.de>
	remote network fixed in preferencesdialog (raccon)
	userpage is now only added if xauth or l2tp (freeswan)

2008-08-11 Christoph Thielecke <crissi99@gmx.de>
	xauth support on strongswan added
	ike and esp settings can manually extended
	auth dialog after xauth fail added
	made plutostderrlog obsolete (now use ipsec whack)

2008-08-10 Christoph Thielecke <crissi99@gmx.de>
	xauth support on openswan added
	better info at delete profile

2008-08-09 Christoph Thielecke <crissi99@gmx.de>
	psk save fixed on newprofilewizard (vpnc manually)
	better formatted output on adding/removing additional network routes

2008-08-02 Christoph Thielecke <crissi99@gmx.de>
	racoon fixes
	ipsec fixes

2008-06-19 Christoph Thielecke <crissi99@gmx.de>
	username in tooltip fixed
	hide group password option in account data dialog added (vpnc,vpnclient)

2008-06-18 Christoph Thielecke <crissi99@gmx.de>
	username fixed after reenter (vpnc)

2008-06-17 Christoph Thielecke <crissi99@gmx.de>
	default route fixed (freeswan)
	ipsec fixes

2008-06-10 Christoph Thielecke <crissi99@gmx.de>
	improved pptp handling
	restoring default route fixed (pptp)
	user gets a warning that extra route is needed if defaultroute is set (newprofilewizard)
	dpd idle timeout support added (vpnc, vpnclient)

2008-06-06 Christoph Thielecke <crissi99@gmx.de>
	pppd option detection reworked

2008-06-02 Christoph Thielecke <crissi99@gmx.de>
	remote id type fixed (newprofile wizard)

2008-05-27 Christoph Thielecke <crissi99@gmx.de>
	racoon algorithms fixed
	psk file permission fixed (racoon)

2008-05-27 Christoph Thielecke <crissi99@gmx.de>
	show password dialog if authentication has been failed (pptp, openvpn)

2008-05-27 Christoph Thielecke <crissi99@gmx.de>
	userdefinied dns server fixed (pptp)
	dns server fixed (pptp)
	resolvconf support for openvpn
	resolvconf support for pptp

2008-05-26 Christoph Thielecke <crissi99@gmx.de>
	tcp tunnling mode now also possible (original cisco client)
	natt now can be disabled (vpnc, original cisco)
	tunnling port can be specified on original cisco
	local identifier can now be set on raccon
	remote identifier can now be set on raccon
	diffie hellman group fixed on racoon
	if tdewallet will be deactivated the user now will asked if really wanted

2008-05-24 Christoph Thielecke <crissi99@gmx.de>
	freeze if vpnc run directory not exists fixed

2008-05-22 Christoph Thielecke <crissi99@gmx.de>
	ipsec page fixed on l2tp ipsec (newprofilewizard)
	route page at cisco added (new profilewizward)

2008-05-14 Christoph Thielecke <crissi99@gmx.de>
	remote port fixed on newprofile wizard (openvpn)

2008-05-13 Christoph Thielecke <crissi99@gmx.de>
	checking for tail added
	path for tail can be specified
	extra routes for pptp added
	replacedefaultroute test fixed
	logviewer process refresh fixed

2008-05-12 Christoph Thielecke <crissi99@gmx.de>
	verify ca cert option added (racoon)
	support for strongswan 4.2.2rc6 fixed (plutostderrlog file option)

2008-05-11 Christoph Thielecke <crissi99@gmx.de>
	support for strongswan 4.2.2rc5 added (plutostderrlog option)

2008-05-10 Christoph Thielecke <crissi99@gmx.de>
	network routes added in newprofile wizard
	cert and nexthop entries fixed on ipsec file import

2008-05-09 Christoph Thielecke <crissi99@gmx.de>
	ipsec settings rewrite in preferencesdialog
	ipsec fixes
	final picture in profilewizward added

2008-05-08 Christoph Thielecke <crissi99@gmx.de>
	detecing gw ip of default interface fixed

2008-05-07 Christoph Thielecke <crissi99@gmx.de>
	mschap auth selection added (pptp)
	mschap-v2 auth selection added (pptp)
	option for disabling ipx added (pptp)
	option for disabling tcp header compression added (pptp)
	option for disabling magic number negotiation added (pptp)
	option for disabling protocol field compression added (pptp)
	option for disabling address/control compression added (pptp)
	lzo compression is now disabled by default (openvpn)
	psk fixed at openvpn config file import fixed
	authentication algorithm fixed (openvpn)
	automatic auth inconsistency fix fixed
	http proxy options fixed in preferencesdialog

2008-05-05 Christoph Thielecke <crissi99@gmx.de>
	kernel level debug option added
	translation update

2008-04-30 Christoph Thielecke <crissi99@gmx.de>
	loading tun module fixed on openvpn
	certificate import fixed

2008-04-24 Christoph Thielecke <crissi99@gmx.de>
	auth type on ipsec import fixed
	default section type handling fixed
	translation updates
	use network option added
	psk secrets file fixed on ipsec import
	option for open profile manager after import added
	option for ipsec vpn mode (transport/tunnel) added
	cert path on ipsec import fixed
	private key on ipsec import fixed

2008-04-22 Christoph Thielecke <crissi99@gmx.de>
	default mtu/mru added (pptp)
	auth selector always active on cert/psk part
	duplicate options regarding default route removed
	saving network routes also if its deactivated

2008-04-21 Christoph Thielecke <crissi99@gmx.de>
	ca cert path is disabled at ipsec fixed

2008-04-18 Christoph Thielecke <crissi99@gmx.de>
	resolv.conf restore fixed if dns_update is not set (vpnc)

2008-04-12 Christoph Thielecke <crissi99@gmx.de>
	spelling fixes
	ping check fixed (thanks to Konstantin U)
	dont save username option fixed

2008-03-27 Christoph Thielecke <crissi99@gmx.de>
	segfault at pptp deamon select fixed

2008-03-18 Christoph Thielecke <crissi99@gmx.de>
	pfs typo fixed

2008-02-21 Christoph Thielecke <crissi99@gmx.de>
	crash after deleteing last profile on closing preferencesdialog fixed

2008-02-20 Christoph Thielecke <crissi99@gmx.de>
	tun1, tun2, tap0, tap1, tap2 in addroutedialog added
	ike and esp parameters fixed (ipsec)
	kvpnc profile import fixed
	automatic saving options if needed added

2008-02-08 Christoph Thielecke <crissi99@gmx.de>
	dns_update fixed (really, thanks to Igor Bujna)

2008-02-08 Christoph Thielecke <crissi99@gmx.de>
	netmask at edit network route fixed

2008-02-02 Christoph Thielecke <crissi99@gmx.de>
	dns_update fixed

2007-12-31 Christoph Thielecke <crissi99@gmx.de>
	pcf import at vpnclient fixed

2007-12-24 Christoph Thielecke <crissi99@gmx.de>
	nt domain name fixed for pptp

2007-12-21 Christoph Thielecke <crissi99@gmx.de>
	keeping default route on pptp fixed
	setting route to vpn server if replace default route fixed
	removing additional network routes fixed
	connection hangs because no data from management interface was recieved fixed on openvpn
	save only profiles after dialog if needed (openvpn)
	tunnel interface now better regonized (openvpn)

2007-12-19 Christoph Thielecke <crissi99@gmx.de>
	the network interface now can be manually typed in at addroutedialog

2007-12-15 Christoph Thielecke <crissi99@gmx.de>
	openvpn resolv.conf handling fixed

2007-12-07 Christoph Thielecke <crissi99@gmx.de>
	crash at logviewer dialog fixed

2007-12-06 Christoph Thielecke <crissi99@gmx.de>
	close event for kicker implemented
	crash at kde shutdown fixed
	toolinfo dialog now shows what requires a tool

2007-12-06 Christoph Thielecke <crissi99@gmx.de>
	displaying username in connection status fixed
	extra route for gateway added (pptp)
	crash on pptp disconnect fixed
	empty pfs fixed (vpnc)
	empty dh group fixed (vpnc)
	resolv.conf corruption on connecting fixed (pptp)
	option for fixing the path mtu problem added (http://pptpclient.sourceforge.net/howto-diagnosis.phtml#connections_freeze)
	certificate support for vpnclient added
		- cert file import
		- cisco cert store management
		- online enrollment (scep)


2007-11-25 Christoph Thielecke <crissi99@gmx.de>
	certificate support for original cisco client added
	certificate manager for original cisco client added
	todo list added

2007-11-25 Christoph Thielecke <crissi99@gmx.de>
	better view in deamonoptions widget and helperprogramoptions widget

2007-11-22 Christoph Thielecke <crissi99@gmx.de>
	context menu on route listview added
	authentication algorithm now by default disabled (openvpn)
	openvpn smartcard fixes
	better user info at openvpn

2007-11-19 Christoph Thielecke <crissi99@gmx.de>
	better vtun error handling

2007-11-15 Christoph Thielecke <crissi99@gmx.de>
	disableDataEncryption for vpnx 0.5.x added
	basic support for vtun added
	profile import improved

2007-11-14 Christoph Thielecke <crissi99@gmx.de>
	profile saving fixed if profilemanger called
	better information for the user at profile saving
	resolv.conf restore on openvpn fixed

2007-11-12 Christoph Thielecke <crissi99@gmx.de>
	danish translation added. Thanks to Christiansen <susebruger@mailme.dk> for made it.

2007-11-05 Christoph Thielecke <crissi99@gmx.de>
	vpnc disconnect fixed
	natt mode none removed from cisco settings (obsolete)
	tooltip for natt mode in cisco settings fixed

2007-11-05 Christoph Thielecke <crissi99@gmx.de>
	virtual ip on tap mode for openvpn fixed
	tunneldevice type change fixed if virtual ip is disabled
	disable tail for freeswan because it doesnt support plutostderrlog
	option for selecting natt mode for cisco (vpnc) added
	listen detection of already used port improoved
	better error reporting at already used port for openvpn

2007-11-03 Christoph Thielecke <crissi99@gmx.de>
	first connect doesnt work fixed (bug #9977)

2007-11-01 Christoph Thielecke <crissi99@gmx.de>
	my_identifier option for racoon added

2007-10-31 Christoph Thielecke <crissi99@gmx.de>
	freeswan/openswan/strongswan config import added

2007-10-24 Christoph Thielecke <crissi99@gmx.de>
	bash test added
	use /bin/bash as shell interpreter

2007-10-22 Christoph Thielecke <crissi99@gmx.de>
	export profiles and global settings added
	import profiles and global settings added

2007-10-20 Christoph Thielecke <crissi99@gmx.de>
	special chars now replaced with underscore in profile import
	cpu usage reduced by improoved duration event
	15� donation credits added, Andreas Diestelmann
	30$ donation credits added, thanks to Frank Visconti

2007-10-17 Christoph Thielecke <crissi99@gmx.de>
	patch for setting DNS_UPDATE applied  (thanks to Igor Bujna)

2007-10-09 Christoph Thielecke <crissi99@gmx.de>
	restoring route and resolv.conf on connecting state fixed (vpnc)

2007-10-06 Christoph Thielecke <crissi99@gmx.de>
	path for pptp fixed
	disable nat-t for vpnc >= 0.4.x fixed
	pcf import fixed (udp port)

2007-10-05 Christoph Thielecke <crissi99@gmx.de>
	process environment fixed
	local ip address of tunnel is now right shown (pptp)

2007-10-04 Christoph Thielecke <crissi99@gmx.de>
	pptp route problem fixed
	pptp is now right terminating
	adding/removing additional network routes are now right shown in log
	colored log output in logviewer
	option for count of lines in logviewer added
	searching in logviewer content added
	progress bar at loading logfile on logviewer added
	debug console now usees qtextbrowser instead qtextedit
	resolv.conf/resolvconf fixes
	setting english as environment for processes

2007-10-02 Christoph Thielecke <crissi99@gmx.de>
	pptp debug level renamed to log level
	pptp debug option added
	virtual ip check in preferencesdialog fixed

2007-10-01 Christoph Thielecke <crissi99@gmx.de>
	virtual ip option in newprofile wizard added

2007-09-27 Christoph Thielecke <crissi99@gmx.de>
	virtual ip option for pptp added

2007-09-20 Christoph Thielecke <crissi99@gmx.de>
	mru settings in network general settings added (for pptp)
	mtu and mru settings in network settings at newprofile wizard added
	default value for mtu and mru in newprofile wizard changed to 1492

2007-09-17 Christoph Thielecke <crissi99@gmx.de>
	xl2tpd detection fixed
	ipsec log parsing fixed
	l2tpd parsing enhanced
	debug option for l2tpd added
	debug option for xl2tpd added

2007-09-11 Christoph Thielecke <crissi99@gmx.de>
	save username, password and psk in enterpassworddialog reworked
	pfs and dh group settings moved from advanced settings dialog to cisco and racoon settings
	application version and single des option moved to cisco settings
	profile saveing time improved
	vpnc 0.3.2 is working again
	new reject message from vpnc 0.5.0 will now regonized

2007-09-10 Christoph Thielecke <crissi99@gmx.de>
	option for openvpn auth direction added

2007-08-18 Christoph Thielecke <crissi99@gmx.de>
	additional network route can now be modified
	removing password entry from pap-secrets/chap-secrets file fixed

2007-08-17 Christoph Thielecke <crissi99@gmx.de>
	made test of replacedefaultroute more reliable

2007-08-16 Christoph Thielecke <crissi99@gmx.de>
	psk in file fixed
	virtual ip in preferences dialog fixed (openvpn)
	reconnect delay fixed

2007-07-28 Christoph Thielecke <crissi99@gmx.de>
	option for userdefinied dns search domain added (pptp)

2007-07-26 Christoph Thielecke <crissi99@gmx.de>
	virtual ip entry fixed (openvpn)

2007-06-12 Christoph Thielecke <crissi99@gmx.de>
	support for x2ltpd added
	x2ltpd will be used if availiable instead of l2tpd

2007-06-12 Christoph Thielecke <crissi99@gmx.de>
	duration in tooltip added

2007-06-11 Christoph Thielecke <crissi99@gmx.de>
	debug output for vpnc config added (if loglevel > 3)
	empty ID will now reported and stops connecting (vpnc)

2007-06-06 Christoph Thielecke <crissi99@gmx.de>
	requiremppe128 detection for pppd added

2007-06-02 Christoph Thielecke <crissi99@gmx.de>
	cancel at user data dialog fixed
	support for propritary (original) cisco client added

2007-04-21 Christoph Thielecke <crissi99@gmx.de>
	openvpn private key password fixed
	private key password dialog fixed
	openvpn import now copy cert files to kvpnc data dir if not absolute path is given

2007-04-14 Christoph Thielecke <crissi99@gmx.de>
	connection time counter fixed
	crash at pcf import fixed

2007-04-08 Christoph Thielecke <crissi99@gmx.de>
	option for delay before executing command after connect added
	tunnel device type selection move from openvpn options to network general settings
	tunnel device type selecttion for vpnc >= 0.4.0 added

2007-03-22 Christoph Thielecke <crissi99@gmx.de>
	ifconfig entry for virtual ip in openvpn config fixed (thanks to Michal Pena)

2007-03-15 Christoph Thielecke <crissi99@gmx.de>
	nt domain name fixed in wizard and profile setting

2007-03-06 Christoph Thielecke <crissi99@gmx.de>
	fix for vpnc 0.4.0 which has changed udp option
	authorization method added: pap (pptp)

2007-02-13 Christoph Thielecke <crissi99@gmx.de>
	connection timeout fixed (cisco)
	vpnc-script fix for fc6

2007-02-06 Christoph Thielecke <crissi99@gmx.de>
	tool detection fixed

2007-01-29 Christoph Thielecke <crissi99@gmx.de>
	credits for swedish, japanese translators, artworker and bughunter added

2007-01-29 Christoph Thielecke <crissi99@gmx.de>
	smartcard options moved to separate part
	on timeout now the user got hints on a messagebox
	an profile rename the user can enter new name again after failed because illegal chars entered
	if peer uses another cipher and reports that, kvpnc automaticlly fix it (openvpn)

2007-01-28 Christoph Thielecke <crissi99@gmx.de>
	cert and psk settings are spit in seperate widgets
	preferences dialog reworked for smaller size
	http proxy is now splitted from openvpn settings
	pkcs11-tool added to helper programs
	user data can now entered at wizard (cisco)

2007-01-26 Christoph Thielecke <crissi99@gmx.de>
	option to change background color for debug console added

2007-01-19 Christoph Thielecke <crissi99@gmx.de>
	smartcard support for strongswan added

2007-01-18 Christoph Thielecke <crissi99@gmx.de>
	kvpnc now only asks for passphrase if private key is protected with a passphrase
	openvpn import now asks for username and password if auth is requested in import file
	openvpn import fixes
	if peer uses another tunnel type (tun/tap) and reports that, kvpnc automaticlly fix it (openvpn)
	if peer uses another authentication algorithm and reports that, kvpnc automaticlly fix it (openvpn)
	crash at failed port binding for openvpn management port fixed
	vpnc detection fixed
	better freeswan/openswan/strongswan detection
	kvpnc now shows the ipsec type (openswan, strongswan, freeswan)
	float option for allowing change of peers ip address added (openvpn)
	float option for allowing change of peers ip address added in wizard and import (openvpn)
	default authentication algorithm is now set to MD5 (openvpn)

2007-01-16 Christoph Thielecke <crissi99@gmx.de>
	smardcard fixes
	smardcard options implemented in newprofile wizard

2007-01-15 Christoph Thielecke <crissi99@gmx.de>
	option for hide at startup added
	automatic backup of kvpnc config added
	automatic restore of network routes, resolv.conf and config added

2007-01-13 Christoph Thielecke <crissi99@gmx.de>
	smartcard support added (openvpn)
	openvpn smartcard handler fixes
	connection status check fixed

2007-01-09 Christoph Thielecke <crissi99@gmx.de>
	options for authentication and encryption algorithms added (racoon)
	l2tp support added (racoon)
	l2tp support added (openswan)
	racoon fixes
	openswan fixes
	menu entry for reporting bugs added
	menu entry for donate money now works if run via kdesu
	feedback mail report added
	option for authentication algorithm added (openvpn)
	certificate import fixes
	option for killing still running racoon (if not from kvpnc started) added
	option for killing still running l2tpd (if not from kvpnc started) added#
	crash on connecting state of racoon fixed
	default route option now moved to network - route
	dcop functions added:
		- void doSendFeedbackMail()
		- QStringList getProfileTypes()
	iptables support for racoon added

2006-12-10 Christoph Thielecke <crissi99@gmx.de>
	nt domain name for authentication added (pptp)

2006-12-09 Christoph Thielecke <crissi99@gmx.de>
	disable of getting dns from peer now works (pptp)
	path for pkcs12 file on certificate import within the wizard fixed
	pptp fixes
	support for missing replacedefaultroute at old pppd added

2006-11-29 Christoph Thielecke <crissi99@gmx.de>
	userdefinied mtu for cisco added

2006-11-25 Christoph Thielecke <crissi99@gmx.de>
	support for ca cert and user authentication (openvpn)

2006-11-02 Christoph Thielecke <crissi99@gmx.de>
	pptp fixes
	chap-secrets will now be cleaned up rightly

2006-10-27 Christoph Thielecke <crissi99@gmx.de>
	if specified, special path for external programs will be now used
	changed info for daemon programs will now shown directly after change

2006-10-26 Christoph Thielecke <crissi99@gmx.de>
	pcf import crash fixed

2006-10-10 Christoph Thielecke <crissi99@gmx.de>
	vpnc will now right killed at disconnect
	openvpn import now moves cert files to right place
	openvpn now works if only a ca cert is set

2006-10-04 Christoph Thielecke <crissi99@gmx.de>
	http proxy auth for openvpn added

2006-10-02 Christoph Thielecke <crissi99@gmx.de>
	terminating openvpn process no only kills the from kvpnc started
	japanese translation added. Thanks to Yukiko Bando <ybando@k6.dion.ne.jp> who has made it

2006-10-01 Christoph Thielecke <crissi99@gmx.de>
	profile selection now works in all profile settings

2006-09-28 Christoph Thielecke <crissi99@gmx.de>
	restoring default route at cisco connection fixed
	typo fix for openvpn tunnel device type
	comments are now removed from config lines on openvpn import
	crash at rename fixed
	pcf import fixed
	resolv.conf restore problem fixed (vpnc)
	vpnc config is now send via stdin

2006-09-20 Christoph Thielecke <crissi99@gmx.de>
	vpnc will now used in non interactive mode because reading from console is broken in vpnc

2006-08-19 Christoph Thielecke <crissi99@gmx.de>
	openswan detection fixed

2006-08-15 Christoph Thielecke <crissi99@gmx.de>
	crash on close if 'don't quit by clicking close button' is enabled
	credit for Marcin Prejsnar added
	cancellation of openvpn profile import fixed
	cancellation of pcf file import fixed

2006-08-14 Christoph Thielecke <crissi99@gmx.de>
	disabling udp now sets right option for vpnc

2006-08-10 Christoph Thielecke <crissi99@gmx.de>
	openvpn now controlled via management interface

2006-08-08 Christoph Thielecke <crissi99@gmx.de>
	dns names are now resolved by libresolv instead of qdns

2006-08-07 Christoph Thielecke <crissi99@gmx.de>
	network interface class use much less qprocess for better event handling and better speed
	crash on disconnect fixed

2006-07-23 Christoph Thielecke <crissi99@gmx.de>
	program and pid detection for given port added
	kvpnc gives now a hint which program is using listening port if port bindung failed

2006-07-22 Christoph Thielecke <crissi99@gmx.de>
	openvpn import fixes
	support for xauth interactive added

2006-06-19 Christoph Thielecke <crissi99@gmx.de>
	small pptp fixes
	openvpn pkcs11 support (thanks to Alon Bar-Lev)

2006-06-11 Christoph Thielecke <crissi99@gmx.de>
	displaying ip address in tooltip of kicker icon fixed (openvpn)

2006-06-06 Christoph Thielecke <crissi99@gmx.de>
	dcop options added: doImportPcf(QString file), doImportOpenvpnConfig(QString file)
	command line parameters added: --openvpnimport, --ciscoimport
	openvpn certificate search path is now /etc/openvpn if not specified

2006-06-05 Christoph Thielecke <crissi99@gmx.de>
	typo fixed

2006-06-01 Christoph Thielecke <crissi99@gmx.de>
	connection time will now counted correctly after reconnect

2006-06-01 Christoph Thielecke <crissi99@gmx.de>
	option for disabling ccp negotiation added

2006-05-30 Christoph Thielecke <crissi99@gmx.de>
	pptp debug level fixed

2006-05-30 Christoph Thielecke <crissi99@gmx.de>
	fixed name in pcf import
	pcf import now reads pcf files which contain ! at beginning

2006-04-19 Christoph Thielecke <crissi99@gmx.de>
	loading mppe module now handles other special case

2006-04-16 Christoph Thielecke <crissi99@gmx.de>
	vpnc script generation fixed
	option for peer timeout added
	pcf import now uses peer timeout

2006-04-15 Christoph Thielecke <crissi99@gmx.de>
	debug output of kvpnc > 1 shows now the vpnc arguments

2006-04-18 Christoph Thielecke <crissi99@gmx.de>
	log file is now synchron written
	copy action for debug output added

2006-04-17 Christoph Thielecke <crissi99@gmx.de>
	process handling improved
	libcrypt detection fixed

2006-04-16 Christoph Thielecke <crissi99@gmx.de>
	userdefinied packet size added (openvpn)
	userdefinied packet size for fragmentation added (openvpn)

2006-04-15 Christoph Thielecke <crissi99@gmx.de>
	vpnc-script generation fixed
	vpnc output parsing fixed
	network interface handling improved

2006-03-29 Christoph Thielecke <crissi99@gmx.de>
	back behavior in newprofile wizard fixed
	*.crt for filter added
	openvpn now looks in cert path for certificates

2006-03-29 Christoph Thielecke <u15119@hs-harz.de>
	aggressive mode fixed (freeswan)
	option for left and right next hop added (freeswan)
	option for disabling opportunistic encryption added (freeswan)
	option for disabling pfs added (freeswan)
	resolv.conf will no longer changed if now nameserver is retrieved/entered (pptp)

2006-03-28 Christoph Thielecke <u15119@hs-harz.de>
	psk for freeswan fixed
	automatic detection for ipsec.* files added
	automatic killing ipsec if not started from kvpnc at connect
	starting connection after setup
	verbose option for ipsec added

2006-03-26 Christoph Thielecke <u15119@hs-harz.de>
	ipsec.conf and ipsec.secrets will no longer overwritten

2006-03-25 Christoph Thielecke <u15119@hs-harz.de>
	agressive mode for freeswan/openswan added
	disabling tdewallet fixed
	additional network routes fixed

2006-03-25 Christoph Thielecke <u15119@hs-harz.de>
	crash at close on empty profile list fixed

2006-03-23 Christoph Thielecke <u15119@hs-harz.de>
	openvpn hangs on connecting fixed
	window size and position storing fixed
	hide on close warning dialog fixed
	tunnel ip now shown for pptp and openvpn
	name will now checked if profile from wizard was imported
	directory mode for certificate path in new profile dialog fixed
	tab sort order dialogs fixed
	udp option in preferences dialog for openvpn fixed
	tls auth in newprofile wizard fixed

2006-03-22 Christoph Thielecke <u15119@hs-harz.de>
	path for p12 certificate at openvpn import fixed
	displaying certificate entries in profile manager fixed
	password dialog for openvpn fixed
	push options for openvpn fixed
	connection status check options for openvpn fixed
	some fixes around newprofile wizard

2006-03-18 Christoph Thielecke <u15119@hs-harz.de>
	typo fixed

2006-03-15 Christoph Thielecke <u15119@hs-harz.de>
	patch for skip focus to password if username already cached (thanks to Tim Wootton)

2006-03-11 Christoph Thielecke <u15119@hs-harz.de>
	vpnc connect script fixed if no resolconf is used
	openvpn user authentication fixed

2006-02-15 Christoph Thielecke <u15119@hs-harz.de>
	openvpn config file writing fixed
	remote netmask for openvpn fixed

2006-02-12 Christoph Thielecke <u15119@hs-harz.de>
	support for tls remote host for openvpn added
	chipher list in newprofile wizard for openvpn fixed

2006-02-09 Christoph Thielecke <u15119@hs-harz.de>
	support for pushed options (dns, domain) for openvpn added

2006-02-03 Christoph Thielecke <u15119@hs-harz.de>
	output for connection status check fixed if userdefined ip address is used

2006-01-24 Christoph Thielecke <u15119@hs-harz.de>
	ping ip address after connect (obsolete) removed
	use userdefinied ip address for connection status check added
	more ui freezes eleminated
	info that process was killed is shown multiple times fixed
	delay for auto reconnect added
	key shortcut menu entry fixed

2006-01-24 Christoph Thielecke <u15119@hs-harz.de>
	patch for splitrules applied (thanks to Tilman Vogel)
	auth retry after failed password for openvpn added

2006-01-15 Christoph Thielecke <u15119@hs-harz.de>
	keep default route for pptp added

2006-01-11 Christoph Thielecke <u15119@hs-harz.de>
	ike exchange mode for racoon added

2006-01-10 Christoph Thielecke <u15119@hs-harz.de>
	option for dont save username added
	remote network storing at pptp fixed

2006-01-09 Christoph Thielecke <u15119@hs-harz.de>
	dcop function createNewProfileWithWizard added
	crash at preferencesdialog after deleting profile in it  fixed
	openvpn config file import added
	dcop function doImportOpenvpnConfig added

2006-01-08 Christoph Thielecke <u15119@hs-harz.de>
	tls auth option for openvpn added
	http proxy support for openvpn added

2006-01-07 Christoph Thielecke <u15119@hs-harz.de>
	userdefinied ciphers for openvpn added
	redirect gateway option for openvpn added

2005-12-27 Christoph Thielecke <u15119@hs-harz.de>
	automaticlly adding ppp-compress-18 alias to /etc/modprobe.conf
	automaticlly try to load ppp_mppe  instead of ppp-compress-18
	automaticlly detection of mppe style
	retrieving username and password from enterpassworddialog fixed
	toolinfo now collects info about pptp
	option for debug level of pptp added
	more tooltips added

2005-12-26 Christoph Thielecke <u15119@hs-harz.de>
	crash at preferencesdialog fixed
	daemon tools info now shown in daemon tools settings

2005-12-24 Christoph Thielecke <u15119@hs-harz.de>
	openvpn auth fixed
	duplicate settings entry removed
	non profile related entries moved to kvpnc menu
	german translation at eventsrc added
	howto for sudo use added
	virtual ip fixes

2005-12-22 Christoph Thielecke <u15119@hs-harz.de>
	quit from kicker menu now really exits kvpnc
	helper tools info now shown in helper tools settings

2005-12-19 Christoph Thielecke <u15119@hs-harz.de>
	ping test now only started if not running
	preserving at startup and restoring at quit for /etc/resolv.conf added
	preserving at startup and restoring at quit of default route added
	toolinfo now collects info about ip, ifconfig, route

2005-12-19 Christoph Thielecke <u15119@hs-harz.de>
	fixes around openvpn user authentication
	ui fixes in preferencesdialog
	network tests added: getgatewayofdefaultinterface, getgatewayofinterface
	handling for fixing multiple default routes added
	network interface class now use log output mechanism instead of stdout/stderr
	option for allowing empty group password (vpnc) added
	crash at profilemanger if profile list is empty fixed

2005-12-15 Christoph Thielecke <u15119@hs-harz.de>
	refuse eap option fixed
	svedish translation added. thanks to Daniel Nylander

2005-12-12 Christoph Thielecke <u15119@hs-harz.de>
	chap-secrets will no longer overwritten

2005-12-09 Christoph Thielecke <u15119@hs-harz.de>
	option for disabling the use of tdewallet added
	require mmpe and disable 40-bit now set as default

2005-11-11 Christoph Thielecke <u15119@hs-harz.de>
	pptp handling fixed. thanks to E-SpArK

2005-10-30 Christoph Thielecke <u15119@hs-harz.de>
	cmd execution fixed
	restoring old default route and resolv.conf if vpnc was unexpected running
	usenoipdefault fixed
	some fixes around openvpn auth
	getvalidnetworkinterface fixed

2005-10-29 Christoph Thielecke <u15119@hs-harz.de>
	cisco password decoder now uses libgcrypt (thanks to Maurice Massar)

2005-10-23 Christoph Thielecke <u15119@hs-harz.de>
	certificate import for der format fixed
	more debug output for certificate import added
	automatic directory creation for certificate dirs
	date+time stamp in logfile added

2005-10-23 Christoph Thielecke <u15119@hs-harz.de>
	group password in enterpassworddialog fixed

2005-10-22 Christoph Thielecke <u15119@hs-harz.de>
	if password is empty after import saving password now disabled
	quit at dock fixed

2005-10-17 Christoph Thielecke <u15119@hs-harz.de>
	default value for keeping default route changed to false
	crash at disconnect fixed
	last profile fixed if profile list is empty
	tunnel ip in tooltip fixed (vpnc)

2005-10-16 Christoph Thielecke <u15119@hs-harz.de>
	cisco decode class added. thanks to hal9000.

2005-10-15 Christoph Thielecke <u15119@hs-harz.de>
	config file corruption fixed

2005-10-13 Christoph Thielecke <u15119@hs-harz.de>
	use findExe for path searching

2005-10-08 Christoph Thielecke <u15119@hs-harz.de>
	refuse eap option non-action fixed, thanks to loic pfefferkorn
	missing ui file added
	pcf import gives a warning if vpnc is not installed

2005-09-23 Christoph Thielecke <u15119@hs-harz.de>
	automaticlly loading kernel modules (esp4 and ah4) for racoon added
	updated handbook
	updated german translation

2005-09-23 Christoph Thielecke <u15119@hs-harz.de>
	documentation updated
	more tooltips and whatsthis tips

2005-09-23 Christoph Thielecke <u15119@hs-harz.de>
	option for disabling lzo compression on openvpn added

2005-09-22 Christoph Thielecke <u15119@hs-harz.de>
	kvpnc hangs on pcf import fixed
	openvpn key generation added

2005-09-19 Christoph Thielecke <u15119@hs-harz.de>
	dcop function added: toolinfo (returns information of external tools)

2005-09-18 Christoph Thielecke <u15119@hs-harz.de>
	connection status check added
	auto reconnect after connection lost added

2005-09-16 Christoph Thielecke <u15119@hs-harz.de>
	more icons in preferences dialog

2005-09-14 Christoph Thielecke <u15119@hs-harz.de>
	fixes around delete profiles
	fixes in preferencesdialog
	better status for actions

2005-09-09 Christoph Thielecke <u15119@hs-harz.de>
	crash at closing preferences dialog fixed if profile list is empty
	catalan translation added. Thanks to Marc Serra Romero <mad93@majomo.com> which has done it
	profile renaming now forbids blanks in new name
	support for explicit nsCertType added
	profile list for autoconnect after profile renaming fixed

2005-08-28 Christoph Thielecke <u15119@hs-harz.de>
	profile manager shown after pcf import

2005-08-18 Christoph Thielecke <u15119@hs-harz.de>
	quick connect menu after rename profiles fixed
	actions now disabled during connecting/connected: import pcf, import cert, add, delete
	check for empty gateway at connect time added
	decoding group password for pcf import fixed
	description of profile added

2005-08-21 Christoph Thielecke <u15119@hs-harz.de>
	import ikegroup and local port from pcf file fixed

2005-08-21 Christoph Thielecke <u15119@hs-harz.de>
	option for saving username, psk and password from enter username+password dialog added
	profile handling after calling preferences dialog fixed

2005-08-20 Christoph Thielecke <u15119@hs-harz.de>
	debian related changes - thanks to Loic Pefferkorn
	tool detection and enabling connect fixed
	save user password will be checked if password is given in user password field at new profile dialog
	save group password will be checked if group password is given in group password field at new profile dialog
	vpnc script creation fixed

2005-08-18 Christoph Thielecke <u15119@hs-harz.de>
	desktop lik updated - thanks to Loic Pefferkorn
	connect button now enabled at startup
	crash at rename fixed
	import nat setting from pcf file added

2005-08-15 Christoph Thielecke <u15119@hs-harz.de>
	remote network in new profile dialog for pptp fixed
	rename and delete of profiles fixed

2005-08-15 Christoph Thielecke <u15119@hs-harz.de>
	option for keeping default route on vpnc use added

2005-08-15 Christoph Thielecke <u15119@hs-harz.de>
	ping ip after connect fixed
	special remote id for racoon added
	remote network route over gateway added

2005-08-14 Christoph Thielecke <u15119@hs-harz.de>
	preferences dialog redesigned for better usability
	profile manager dialog redesigned for better usability

2005-08-11 Christoph Thielecke <u15119@hs-harz.de>
	userdefinied port for openvpn added

2005-08-01 Christoph Thielecke <u15119@hs-harz.de>
	size of toolinfo dialog fixed

2005-08-01 Christoph Thielecke <u15119@hs-harz.de>
	toolinfo now looks into userspecified path and shows info if it if found
	handbook updates

2005-07-27 Christoph Thielecke <u15119@hs-harz.de>
	save & load of config moved to global config
	detection for first time use of tdewallet added, now reading from config file in this case


2005-07-25 Christoph Thielecke <u15119@hs-harz.de>
	tun/tap selection for openvpn added
	password storing by use of tdewallet added
	setting hostname as gateway fixed
	handbook script updated
	handbook updated
	german handbook translation updated

2005-07-23 Christoph Thielecke <u15119@hs-harz.de>
	check for certificate file added
	all errors shown by dialogbox now written to log file

2005-07-20 Christoph Thielecke <u15119@hs-harz.de>
	app pointer to global config for process events to globalconfig added
	currentprofile moved to global config
	log colors moved to global config
	size and position of moved to global config
	status moved global config
	logfile moved to global config
	log file entrys can now done from all classes by calling appendLogEntry of global config class
	executable not found if there still exists fixed

2005-07-16 Christoph Thielecke <u15119@hs-harz.de>
	default mppe options for pptp fixed
	racoon detection fixed
	name resolving for raccon added
	retrieving interface address fixed
	parsing racoon output fixed
	debug output font size can now be set
	nat-t for racoon fixed

2005-07-12 Christoph Thielecke <u15119@hs-harz.de>
	cert import fixed
	connecting stops now if required tool was not found

2005-07-06 Christoph Thielecke <u15119@hs-harz.de>
	workaround for vpnc >= 0.3.x if /etc/vpnc/default.conf exits
	default values for new profiles fixed
	autoconnect fixed
	turkish translation added (thanks to Blent SENER)

2005-07-04 Christoph Thielecke <u15119@hs-harz.de>
	quick connect to kicker context menu added
	auto connect at startup added

2005-07-03 Christoph Thielecke <u15119@hs-harz.de>
	workaround for vpnc >= 0.3.3
	programs in path fixed

2005-07-01 Christoph Thielecke <u15119@hs-harz.de>
	vpnc debug level fixed
	wrong ask for remote network for vpnc in new profile dialog fixed

2005-06-30 Christoph Thielecke <u15119@hs-harz.de>
	tun support now regonized if compiled into kernel or kernel module already loaded
	debug console output fixes
	handbook updated
	nat-t for freeswan added

2005-06-29 Christoph Thielecke <u15119@hs-harz.de>
	tooltip fixed and whats this for disable mpppe option added
	import pcf fixed (thanks Maurice Massar)
	certificate settings now are disabled for vpnc
	moving password, username and group password from new profile dialog in profile fixed


2005-06-27 Christoph Thielecke <u15119@hs-harz.de>
	automaticlly creation of tun dev for openvpn added
	usability in tools info dialog added
	option for disabling mppe compression (pptp) added (thanks to Fabian Kï¿œler)
	enter password dialog fixed
	tab order on dialogs fixed

2005-06-21 Christoph Thielecke <u15119@hs-harz.de>
	missing encryption algorithms, authentication algorithms in sainfo for racoon added
	pfs_group in sainfo for racoon fixed
	more pfs and dh groups added (racoon)
	userdefinied application version shows now real used version of vpnc (vpnc)
	deleting and adding profiles in profile dialog fixed
	storing of racoon debug level fixed

2005-06-20 Christoph Thielecke <u15119@hs-harz.de>
	command execution after disconnect and before connect added
	french translator (florian fainelli) to credits added
	ui fixes in profile dialog
	help action fixed
	retrieving default interface fixed

2005-06-19 Christoph Thielecke <u15119@hs-harz.de>
	storing of allow mppe stateful mode fixed
	pppd settings moved from advanced settings dialog to profile settings
	profile listview converted to combobox and now always shown in profilewidget

2005-06-18 Christoph Thielecke <u15119@hs-harz.de>
	context menu for debug output added (actions: cut text, clear)

2005-06-17 Christoph Thielecke <u15119@hs-harz.de>
	option for dont close kvpnc by clicking on close button added (enabled by default)
	TDEIO::NetAccess::download now uses no deprecated function call

2005-06-09 Christoph Thielecke <u15119@hs-harz.de>
	russian translation added (thanks to Valeriy Girchenko)

2005-06-07 Christoph Thielecke <u15119@hs-harz.de>
	processing "ip route" output with fix_ip_get_output fixed (thanks to Sebastian Frei)
	crash happend by clicking on advanced settings button fixed
	size of profile manager fixed

2005-06-06 Christoph Thielecke <u15119@hs-harz.de>
	arguments for connecting msg fixed (thanks to Witek Strzelczyk)

2005-06-04 Christoph Thielecke <u15119@hs-harz.de>
	wrong input field validation for account data enter dialog (enterpassworddialog) fixed
	parsing of vpnc output now regnonize wrong group password
	getdefaultinterface fixed
	parsing of tunnel ip for vpnc fixed
	reconnect if password, username or group password failed by showing enter account data dialog added
	retrieving username from enter account data dialog fixed

2005-06-02 Christoph Thielecke <u15119@hs-harz.de>
	special chars on description from pcf profile will now replaced and simplified to '_'
	if username is empty also requested by calling dialog
	vpnc settings not save in profile widget fixed
	auto size of profile manager fixed

2005-06-01 Christoph Thielecke <u15119@hs-harz.de>
	Q_SLOTS in advanced settings dialog fixed
	saving of use udp protocol fixed
	add additional network routes creation fixed
	freeswan conf generation now set from installed version
	size of log viewer fixed
	translation update

2005-05-30 Christoph Thielecke <u15119@hs-harz.de>
	Q_SLOTS in preferences dialog fixed
	slot for udp port in profile dialog fixed
	slot in import certificate dialog fixed


2005-05-29 Christoph Thielecke <u15119@hs-harz.de>
	all dialogs now use kdialogbase
	port range for nat-t fixed
	tool checking
	tool info dialog added
	disabling connect button and connect action if bin not found

2005-05-28 Christoph Thielecke <u15119@hs-harz.de>
	retrieve dns servers from peer for pptp added
	kernel module renamed from ppp_mppe_mppc to ppp-compress-18 (ppp_mppe_mppc is an alias for it)
	special userdefinied server certificate option added (freeswan)

2005-05-26 Christoph Thielecke <u15119@hs-harz.de>
	freeswan 2.x conf generation fixed (obsolete options no longer used)

2005-05-18 Christoph Thielecke <u15119@hs-harz.de>
	getdefaultinterface(), getinterfaceip() and getinterfaceforip() fixed
	displaying tunnel ip in tooltip for vpnc added

2005-05-12 Christoph Thielecke <u15119@hs-harz.de>
	additional network routes added
	kvpnc debug level fixed
	getdefaultnetworkdevice fixed
	various fixes around debug output
	ping test for openvpn added
	connection type now shown in tooltip and status msg

2005-05-08 Christoph Thielecke <u15119@hs-harz.de>
	resolv.conf handling for vpnc fixed
	better gui status for connected

2005-04-26 Christoph Thielecke <u15119@hs-harz.de>
	after disconnecting pptp /etc/resolv.conf is will now be restored
	automaticlly resolve hostname of gateway (vpnc, freeswan)

2005-04-26 Christoph Thielecke <u15119@hs-harz.de>
	support for replace default route for pppd (pppd = 2.4.2) added
	fixed: pppd: deflate needs option
	vpnc: fix dns support in generated scripts (look vpnc patch) added

2005-04-25 Christoph Thielecke <u15119@hs-harz.de>
	connecting can now brake

2005-04-24 Christoph Thielecke <u15119@hs-harz.de>
	ca certificate field for openvpn added (pem format)
	x509 certificate support for openvpn added

2005-04-23 Christoph Thielecke <u15119@hs-harz.de>
	ca cert in der format added
	global settings moved to config class

2005-04-20 Christoph Thielecke <u15119@hs-harz.de>
	nat-t moved to network tab in profile manager
	the obsolete group password has been removed (preshared key fields will now used)
	prepare for virtual ip support (not only for openvpn)
	reorganized profile manager

2005-04-11 Christoph Thielecke <u15119@hs-harz.de>
	nat-t for racoon fixed
 	collecting information about tools in list after searching

2005-04-09 Christoph Thielecke <u15119@hs-harz.de>
	tool button for debug console added.

2005-03-11 Christoph Thielecke <u15119@hs-harz.de>
	storing of command execution setting fixed.

2005-03-05 Christoph Thielecke <u15119@hs-harz.de>
	option for mtu size of ppp connection added

2005-03-02 Christoph Thielecke <u15119@hs-harz.de>
	import pcf file fixed
	connect action now disabled if now profile list is empty
	pptp: usepeerdns option fixed
	pptp: own dns server fixed


2005-02-26 Christoph Thielecke <u15119@hs-harz.de>
	string fixes

2005-02-23 Christoph Thielecke <u15119@hs-harz.de>
	new icons
	ui fixe

2005-02-16 Christoph Thielecke <u15119@hs-harz.de>
	displaying connection time in nicer form: 00:00:00

2005-02-12 Christoph Thielecke <crissi99@gmx.de>
	appdata diretory creation fixed
	kicker menu entries resorted

2005-02-12 Christoph Thielecke <crissi99@gmx.de>
	icons for connect/disconnect/disconnected status changed
	ui fixes

2005-02-12 Christoph Thielecke <crissi99@gmx.de>
	log levels added (info, remote, error, success, debug)
	colorize log output added (can be disabled)
	new credits added in about dialog
	dcop interface added. it provides the following functions:
			- QString getVersion()
			- void doConnect()
			- void doDisconnect()
			- uint getConnectedTime()
			- QString getStatus()
			- QString getCurrentProfile()
			- void setProfile(QString profilename)
			- void createNewProfile()
			- void deleteCurrentProfile()
			- void openPreferences()
			- void doImportCert()
			- void doImportPcf()
			- QStringList profiles()
			- void doQuit()

2005-02-07 Christoph Thielecke <crissi99@gmx.de>
	user notification for sucessful connect/disconnect added
	option for adding default route (pptp) added
	option for replacing default route (pptp) added
	profile manager tool button now shown by default in toolbar

2005-02-06 Christoph Thielecke <crissi99@gmx.de>
	execution of own commands after connect/disconnect added.
	bsd compression option added
	deflate option added
	network routing for special network for pptp added
	better connection status added

2005-02-03 Christoph Thielecke <crissi99@gmx.de>
	 checking/creating of /dev/net/tun added.
	 deleteing/keeping of generated files added.

2005-01-31 Christoph Thielecke <crissi99@gmx.de>
	deleting profile dialog fixed. Thank to  Ruben Jenster <ruben@hotheads.de> who has found the bug ;)

2005-01-30 Christoph Thielecke <crissi99@gmx.de>
	renaming of profiles added

2005-01-29 Christoph Thielecke <crissi99@gmx.de>
	checking of /dev/net/tun and creating mising device entry added

2005-01-23 Christoph Thielecke <crissi99@gmx.de>
	disconnect script for vpnc fixed. thanks to Anders Damm <anders.damm@bornet.net> and Mark Alleyne <mark.alleyne@ntlworld.com>
	password dialog for entering not saved passwords at connect (vpnc/pptp)

2005-01-22 Christoph Thielecke <crissi99@gmx.de>
	crash fixed at disconnect
	ui fixes
	pptp support added

2005-01-20 Christoph Thielecke <crissi99@gmx.de>
	nat-t support for racoon added

2005-01-15 Christoph Thielecke <crissi99@gmx.de>
	option for udp added (vpnc)
	option for userdefinied udp port added (vpnc)
	option for udp port added (vpnc)

2004-12-29 Christoph Thielecke <crissi99@gmx.de>
	patch to "includemoc" added. thank to Laurent Montel <montel@kde.org> who has it provided.
	crash fix if no currentprofile defined. thank to Laurent Montel <montel@kde.org> who has it provided.

2004-12-16 Christoph Thielecke <crissi99@gmx.de>
	geometry setting of mainwindow fixed

2004-12-11 Christoph Thielecke <crissi99@gmx.de>
	profile widget better organized
	special remote id if wanted
	kvpnc has now own debug option

2004-12-04 Christoph Thielecke <crissi99@gmx.de>
	ping host ip now freely configurable

2004-12-01 Christoph Thielecke <crissi99@gmx.de>
	certimport now racoon/freeswan specific
	profilemanger has own dialog/tool button/menu entry

2004-11-30 Christoph Thielecke <crissi99@gmx.de>
	vpnc-connect/vpnc-disconnect now obsolete: kvpnc handles required actions

2004-11-24 Christoph Thielecke <crissi99@gmx.de>
	vpnc will now directly called and set route
	output reading fixed
	profiles tab moved to own widget class for multiple instances

2004-11-04 Christoph Thielecke <crissi99@gmx.de>
	Profile settings moved to preferences dialog
	p12 transformation to pem using openssl (x.509 certificate)
	new profile dialog
	support for IPSec added (freeswan/raccon)


2004-09-04 Christoph Thielecke <crissi99@gmx.de>
	kde 3.1.x build fixes

2004-09-03 Christoph Thielecke <crissi99@gmx.de>
	import of pcf profile file added
	storing size and position of mainwindow

2004-09-01 Christoph Thielecke <crissi99@gmx.de>
	startup fixed: log file can't be open. thanks to Robyn L. King <Robyn.L.King@nasa.gov>
	crash fixed if no profile exists and advanced settings clicked
	KDE desktop link updated
	Profile actions moved to profile menu

2004-08-13 Christoph Thielecke <crissi99@gmx.de>
	French translation added. thanks to Ahinu <ahinu@project-eva.net> who has done it.

2004-08-01 Christoph Thielecke <crissi99@gmx.de>
	crash at connect fixed if no advanced setting availiable (quick connect). thanks to Christopher J. Bottaro <cjbottaro@alumni.cs.utexas.edu>
	Portuguese Brazilian translation added. thanks to Adilson GonÃ§alves Soares Junior <cabide@brfree.com.br> who has done it.

2004-07-09 Christoph Thielecke <crissi99@gmx.de>
	Spanish translation added. thanks to Juanjo Alvarez <juanjux.alvarez@municipia.com> who has done it.

2004-07-07 Christoph Thielecke <crissi99@gmx.de>
	Bulgarian translation added. thanks to ÐÑÐ°ÐœÐ°Ñ ÐÐ°Ð²ÑÐŸÐ² <bugar@developer.bg> who has done it.
	Dutch translation added. thanks to Luk De Ketelaere <balboy@kvirc.net> who has done it.

2004-07-06 Christoph Thielecke <crissi99@gmx.de>
	connection lost detection deactivated (vpnc dont regnoize it :( )
	advanced options added:
		- Single DES
		- userdefinied (NT-) Domain name for authentication
		- userdefinied application version
		- IKE DH Group
		- userdefinied local port
		- use of global IPSec secret
		- Perfect Forward Secrecy

2004-07-01 Christoph Thielecke <crissi99@gmx.de>
	Slovak translation added. thanks to TomÃ¡sÅ¡ OlÃ¡h <tomas.olah@alert.sk> who has done it.
	help window with helpful information added
	whats this tipps added

2004-06-30 Christoph Thielecke <crissi99@gmx.de>
	Hungary translation added. thanks to Karoly Barcza <kbarcza@blackpanther.hu> who has done it.
	Logging to file added
	if user has entered data into fields and dont save it as profile and want quit -> question
	connection lost detection
	Italian translation added. thanks to Lapo Luchini <lapo@lapo.it> who has done it.

2004-06-28 Christoph Thielecke <crissi99@gmx.de>
	wrong parsing stderr fixed
	duration time status added
	looking for vpnc/vpnc-connect/vpnc-disconnect in /usr/bin added

2004-06-07 Christoph Thielecke <crissi99@gmx.de>
	userdefinied path for vpnc
	vpnc debug level option added
	if running vpnc found (old process or not from kvpnc) kvpnc kill it and try again

2004-06-04 Christoph Thielecke <crissi99@gmx.de>
	polish translation added. thanks to Witek Strzelczyk <witek_strzelczyk@go2.pl> who has done it.

2004-06-01  Christoph Thielecke <crissi99@gmx.de>
	password storing for group and user password separated
	multiple connection profiles added
	quit question added if connection still established
	more infos for statusbar added

2004-05-17  Christoph Thielecke <crissi99@gmx.de>
	tooltip for dock added (connection status)
	userdefinied connect timeout added
	detection of unreachable network added

2004-05-13  Christoph Thielecke <crissi99@gmx.de>
	show/hide debug console changes after closing settings window
	connect/disconnect works now from kicker menu/menu bar
	detection of vpnc-connect/vpnc-disconnect added
	connect status is now shown in status bar
	detection of unknown host added
	detection of no resonse added
	detection of failed tunnel interface initalising

2004-05-12  Christoph Thielecke <crissi99@gmx.de>
	Instructions added.
